import * as react from 'react';
import { ReactNode, HtmlHTMLAttributes } from 'react';

interface BaseLine {
    id: string;
    startMillisecond: number;
}
interface BaseProps<Line extends BaseLine> {
    lineRenderer: ({ index, active, line, }: {
        index: number;
        active: boolean;
        line: Line;
    }) => ReactNode;
    currentMillisecond?: number;
    verticalSpace?: boolean;
    onLineUpdate?: (line: {
        index: number;
        line: Line | null;
    }) => void;
    recoverAutoScrollInterval?: number;
    recoverAutoScrollSingal?: boolean;
}

interface Line$1 extends BaseLine {
    lineNumber: number;
    raw: string;
    content: string;
}
interface Props$1 extends BaseProps<Line$1> {
    lrc: string;
}

declare const _default$1: react.ForwardRefExoticComponent<Props$1 & HtmlHTMLAttributes<HTMLDivElement> & react.RefAttributes<HTMLDivElement>>;

interface Line extends BaseLine {
    children: {
        id: string;
        lineNumber: number;
        raw: string;
        content: string;
    }[];
}
interface Props extends BaseProps<Line> {
    lrcs: string[];
}

declare const _default: react.ForwardRefExoticComponent<Props & HtmlHTMLAttributes<HTMLDivElement> & react.RefAttributes<HTMLDivElement>>;

declare function useRecoverAutoScrollImmediately(): {
    signal: boolean;
    recoverAutoScrollImmediately: () => void;
};

export { _default$1 as Lrc, type Line$1 as LrcLine, type Props$1 as LrcProps, _default as MultipleLrc, type Line as MultipleLrcLine, type Props as MultipleLrcProps, useRecoverAutoScrollImmediately };
